function X = my_normalize( X, norm )
%X = my_normalize( X, norm )
%   replace data by normalized data with norm "norm"

% Isabelle Guyon -- isabelle@clopinet.com -- November 2010

if nargin<2, norm=1; end
f=fields(X);

for i=1:length(f)
    if ~strcmp(f{i}, 'devel'); % Do not treat development data (too big)
        X.(f{i})=normalize_data(X.(f{i}), norm);
    end
end
