%=============================================================================
% KM preprocessing object             
%=============================================================================  
% a=km(hyperParam) 
%
% Generates a km preprocessor (no hyperparameter.)
% It performs kmeans with 10 clusters if it finds a keamns algorithm
% or otherwise it returns the original matrix.
%
% Methods:
%  train, test
%
% If you are going to write new learning objects, do not use this as a
% template, rather use the template of the spider package, it offers more
% possibilities.
classdef km
    
    properties (SetAccess = protected)
        k=20;       % number of clusters
        itnum=5;    % number of kmeans interations
        gamma=[];   % kernel parameter
    end
    properties (SetAccess = private)
        verbosity=0;
        % <<-------------model----------------->> 
        mu={};      % Cluster centers
        mean=0;     % Column mean (for standardization)
        sigma=1;   % For standardization
        standardize=0; % don't standardize if 0
    end
  
    methods
        %%%%%%%%%%%%%%%%%%%
        %%% CONSTRUCTOR %%%
        %%%%%%%%%%%%%%%%%%%
        function a = km(hyperParam) 
        end
    end
end

 

 
 





